## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Interface JSFLibraryReference

All Known Subinterfaces:
  JSFLibraryReferencePluginProvided, JSFLibraryReferenceServerSupplied, JSFLibraryReferenceUserDefined, JSFLibraryReferenceUserSpecified

Deprecated.

    public interface JSFLibraryReference

Represents a reference to a JSF Library on a project

Provisional API - subject to change

Method Summary
`java.lang.String` `getId()` Deprecated.
`java.util.Collection<IClasspathEntry>` `getJars()` Deprecated.
`java.lang.String` `getLabel()` Deprecated.
`JSFVersion` `getMaxSupportedVersion()` Deprecated.
`java.lang.String` `getName()` Deprecated.
`boolean` `isDeployed()` Deprecated.
`boolean` `isJSFImplementation()` Deprecated.

Method Detail

### getId

    java.lang.String getId()

  Deprecated.
  Returns:
    id for the library

### getName

    java.lang.String getName()

  Deprecated.
  Returns:
    name

### getJars

    java.util.Collection<IClasspathEntry> getJars()

  Deprecated.
  Returns:
    collection of jars as `IClasspathEntry`s

### getMaxSupportedVersion

    JSFVersion getMaxSupportedVersion()

  Deprecated.
  Returns:
    `JSFVersion` value

### getLabel

    java.lang.String getLabel()

  Deprecated.
  Returns:
    label user sees for this library

### isJSFImplementation

    boolean isJSFImplementation()

  Deprecated.
  Returns:
    flag

### isDeployed

    boolean isDeployed()

  Deprecated.
  Returns:
    is deployed (marked as J2EE Module Dependency)